Skip to main content

File Access

Overview​

The "File Access" API allows you to download uploaded files.

Request​

POST https://api.peperwork.ai/api/identify/file/v2/access

Path parameters​

Name    Type   Mandatory   Description
fileIdstringtrueUnique identifier for uploaded files
modelIdstringtrueThe unique identifier of the model      

Response body​

Name  Type   Mandatory   Description
fileIdstringtrueUnique identifier for uploaded files
fileNamestringtrueThe file name of the uploaded file
fileUrlstringtrueFile access address

Example request​

curl -i -X POST api.peperwork.ai/api/identify/file/v2/access \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DOCAI_API_KEY" \
-d '{"fileId":"2310091711378393918074800","modelId":"Your model Id"}'

Example response​

{
"code": 200,
"data": {
"fileId": "2310091711378393918074800",
"fileName": "Invoice.png",
"fileUrl": "https://"
},
"requestId": "49bd854af81048358219e57ae3c607a9",
"currentTimeMillis": 1683797919008
}